<?xml version="1.0" encoding="UTF-8" ?>

<PMML
	version="4.3"
	xmlns="http://www.dmg.org/PMML-4_3"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.dmg.org/PMML-4_3 pmml-4-3.xsd">
	<Header
		copyright="(C) Copyright IBM Corp. 1994, 2019">
		<Application
			name="IBM SPSS Modeler"
			version="18.2.1.0"/>
		<Timestamp>Tue Mar 24 04:03:28 2020</Timestamp>
	</Header>
	<MiningBuildTask>
		<Extension
			extender="spss.com"
			name="SPSS Model Settings">
			<BayesNetSettings
				modelName=""
				enableUpdating="yes">
				<BayesNetFields
					missingMethod="pairwise">
					<BayesNetField
						name="sepal_lengthBins"
						role="predictor"
						forceSelection="no"/>
					<BayesNetField
						name="sepal_widthBins"
						role="predictor"
						forceSelection="no"/>
					<BayesNetField
						name="petal_lengthBins"
						role="predictor"
						forceSelection="no"/>
					<BayesNetField
						name="petal_widthBins"
						role="predictor"
						forceSelection="no"/>
					<BayesNetField
						name="class"
						role="target"
						forceSelection="yes"/>
				</BayesNetFields>
				<FeatureSelection
					independenceTest="likelihoodRatio"
					tolerance="0.01"
					maxSelect="5"/>
				<StructureLearning
					networkType="treeAugmentedNaiveBayes"
					independenceTest="likelihoodRatio"
					tolerance="0.01"
					maxCondition="5"/>
				<ParameterLearning
					method="maxLikelihood">
					<LinkSource>
						<names>from; to; directed</names>
						<row>sepal_lengthBins; sepal_widthBins; yes</row>
						<row>sepal_lengthBins; petal_lengthBins; yes</row>
						<row>sepal_lengthBins; petal_widthBins; yes</row>
						<row>class; sepal_lengthBins; yes</row>
						<row>class; sepal_widthBins; yes</row>
						<row>class; petal_lengthBins; yes</row>
						<row>class; petal_widthBins; yes</row>
					</LinkSource>
					<ConditionalTables>
						<ConditionalTable
							fieldName="sepal_lengthBins"
							parentsNumber="1">
							<names>class; 0; 1; 2; 3; 4</names>
							<row
								totalN="36">Iris-setosa; 0.527777777777778; 0.472222222222222; 0; 0; 0</row>
							<row
								totalN="33">Iris-versicolor; 0.0606060606060606; 0.424242424242424; 0.363636363636364; 0.151515151515152; 0</row>
							<row
								totalN="34">Iris-virginica; 0.0294117647058824; 0.0588235294117647; 0.382352941176471; 0.323529411764706; 0.205882352941176</row>
						</ConditionalTable>
						<ConditionalTable
							fieldName="sepal_widthBins"
							parentsNumber="2">
							<names>sepal_lengthBins; class; 0; 1; 2; 3; 4</names>
							<row
								totalN="19">0; Iris-setosa; 0.0526315789473684; 0.0526315789473684; 0.684210526315789; 0.210526315789474; 0</row>
							<row
								totalN="2">0; Iris-versicolor; 1; 0; 0; 0; 0</row>
							<row
								totalN="1">0; Iris-virginica; 0; 1; 0; 0; 0</row>
							<row
								totalN="17">1; Iris-setosa; 0; 0; 0.294117647058824; 0.588235294117647; 0.117647058823529</row>
							<row
								totalN="14">1; Iris-versicolor; 0.214285714285714; 0.5; 0.285714285714286; 0; 0</row>
							<row
								totalN="2">1; Iris-virginica; 0; 1; 0; 0; 0</row>
							<row
								totalN="12">2; Iris-versicolor; 0.0833333333333333; 0.5; 0.416666666666667; 0; 0</row>
							<row
								totalN="13">2; Iris-virginica; 0.0769230769230769; 0.538461538461538; 0.384615384615385; 0; 0</row>
							<row
								totalN="5">3; Iris-versicolor; 0; 0.4; 0.6; 0; 0</row>
							<row
								totalN="11">3; Iris-virginica; 0; 0.0909090909090909; 0.909090909090909; 0; 0</row>
							<row
								totalN="7">4; Iris-virginica; 0; 0.428571428571429; 0.571428571428571; 0; 0</row>
						</ConditionalTable>
						<ConditionalTable
							fieldName="petal_lengthBins"
							parentsNumber="2">
							<names>sepal_lengthBins; class; 0; 1; 2; 3; 4</names>
							<row
								totalN="19">0; Iris-setosa; 1; 0; 0; 0; 0</row>
							<row
								totalN="2">0; Iris-versicolor; 0; 1; 0; 0; 0</row>
							<row
								totalN="1">0; Iris-virginica; 0; 0; 1; 0; 0</row>
							<row
								totalN="17">1; Iris-setosa; 1; 0; 0; 0; 0</row>
							<row
								totalN="14">1; Iris-versicolor; 0; 0.0714285714285714; 0.928571428571429; 0; 0</row>
							<row
								totalN="2">1; Iris-virginica; 0; 0; 0; 1; 0</row>
							<row
								totalN="12">2; Iris-versicolor; 0; 0; 0.416666666666667; 0.583333333333333; 0</row>
							<row
								totalN="13">2; Iris-virginica; 0; 0; 0; 0.923076923076923; 0.0769230769230769</row>
							<row
								totalN="5">3; Iris-versicolor; 0; 0; 0.2; 0.8; 0</row>
							<row
								totalN="11">3; Iris-virginica; 0; 0; 0; 0.636363636363636; 0.363636363636364</row>
							<row
								totalN="7">4; Iris-virginica; 0; 0; 0; 0; 1</row>
						</ConditionalTable>
						<ConditionalTable
							fieldName="petal_widthBins"
							parentsNumber="2">
							<names>sepal_lengthBins; class; 0; 1; 2; 3; 4</names>
							<row
								totalN="19">0; Iris-setosa; 0.947368421052632; 0.0526315789473684; 0; 0; 0</row>
							<row
								totalN="2">0; Iris-versicolor; 0; 1; 0; 0; 0</row>
							<row
								totalN="1">0; Iris-virginica; 0; 0; 0; 1; 0</row>
							<row
								totalN="17">1; Iris-setosa; 1; 0; 0; 0; 0</row>
							<row
								totalN="14">1; Iris-versicolor; 0; 0.142857142857143; 0.857142857142857; 0; 0</row>
							<row
								totalN="2">1; Iris-virginica; 0; 0; 0; 1; 0</row>
							<row
								totalN="12">2; Iris-versicolor; 0; 0.0833333333333333; 0.583333333333333; 0.333333333333333; 0</row>
							<row
								totalN="13">2; Iris-virginica; 0; 0; 0.230769230769231; 0.461538461538462; 0.307692307692308</row>
							<row
								totalN="5">3; Iris-versicolor; 0; 0; 1; 0; 0</row>
							<row
								totalN="11">3; Iris-virginica; 0; 0; 0; 0.272727272727273; 0.727272727272727</row>
							<row
								totalN="7">4; Iris-virginica; 0; 0; 0; 0.571428571428571; 0.428571428571429</row>
						</ConditionalTable>
						<ConditionalTable
							fieldName="class"
							parentsNumber="0">
							<names>; Iris-setosa; Iris-versicolor; Iris-virginica</names>
							<row
								totalN="103">0; 0.349514563106796; 0.320388349514563; 0.330097087378641</row>
						</ConditionalTable>
					</ConditionalTables>
				</ParameterLearning>
			</BayesNetSettings>
		</Extension>
	</MiningBuildTask>
	<DataDictionary
		numberOfFields="5">
		<DataField
			name="sepal_length"
			displayName="sepal_length"
			optype="continuous"
			dataType="double"/>
		<DataField
			name="sepal_width"
			displayName="sepal_width"
			optype="continuous"
			dataType="double"/>
		<DataField
			name="petal_length"
			displayName="petal_length"
			optype="continuous"
			dataType="double"/>
		<DataField
			name="petal_width"
			displayName="petal_width"
			optype="continuous"
			dataType="double"/>
		<DataField
			name="class"
			displayName="class"
			optype="categorical"
			dataType="string">
			<Value
				value=""
				property="valid"/>
			<Value
				value="Iris-setosa"
				property="valid"/>
			<Value
				value="Iris-versicolor"
				property="valid"/>
			<Value
				value="Iris-virginica"
				property="valid"/>
		</DataField>
	</DataDictionary>
	<TransformationDictionary>
		<DerivedField
			name="sepal_lengthBins"
			displayName="sepal_length"
			optype="continuous"
			dataType="double">
			<Discretize
				field="sepal_length">
				<DiscretizeBin
					binValue="0">
					<Interval
						closure="openClosed"
						rightMargin="5.02"/>
				</DiscretizeBin>
				<DiscretizeBin
					binValue="1">
					<Interval
						closure="openClosed"
						leftMargin="5.02"
						rightMargin="5.74"/>
				</DiscretizeBin>
				<DiscretizeBin
					binValue="2">
					<Interval
						closure="openClosed"
						leftMargin="5.74"
						rightMargin="6.46"/>
				</DiscretizeBin>
				<DiscretizeBin
					binValue="3">
					<Interval
						closure="openClosed"
						leftMargin="6.46"
						rightMargin="7.18"/>
				</DiscretizeBin>
				<DiscretizeBin
					binValue="4">
					<Interval
						closure="openOpen"
						leftMargin="7.18"/>
				</DiscretizeBin>
			</Discretize>
		</DerivedField>
		<DerivedField
			name="sepal_widthBins"
			displayName="sepal_width"
			optype="continuous"
			dataType="double">
			<Discretize
				field="sepal_width">
				<DiscretizeBin
					binValue="0">
					<Interval
						closure="openClosed"
						rightMargin="2.48"/>
				</DiscretizeBin>
				<DiscretizeBin
					binValue="1">
					<Interval
						closure="openClosed"
						leftMargin="2.48"
						rightMargin="2.96"/>
				</DiscretizeBin>
				<DiscretizeBin
					binValue="2">
					<Interval
						closure="openClosed"
						leftMargin="2.96"
						rightMargin="3.44"/>
				</DiscretizeBin>
				<DiscretizeBin
					binValue="3">
					<Interval
						closure="openClosed"
						leftMargin="3.44"
						rightMargin="3.92"/>
				</DiscretizeBin>
				<DiscretizeBin
					binValue="4">
					<Interval
						closure="openOpen"
						leftMargin="3.92"/>
				</DiscretizeBin>
			</Discretize>
		</DerivedField>
		<DerivedField
			name="petal_lengthBins"
			displayName="petal_length"
			optype="continuous"
			dataType="double">
			<Discretize
				field="petal_length">
				<DiscretizeBin
					binValue="0">
					<Interval
						closure="openClosed"
						rightMargin="2.18"/>
				</DiscretizeBin>
				<DiscretizeBin
					binValue="1">
					<Interval
						closure="openClosed"
						leftMargin="2.18"
						rightMargin="3.36"/>
				</DiscretizeBin>
				<DiscretizeBin
					binValue="2">
					<Interval
						closure="openClosed"
						leftMargin="3.36"
						rightMargin="4.54"/>
				</DiscretizeBin>
				<DiscretizeBin
					binValue="3">
					<Interval
						closure="openClosed"
						leftMargin="4.54"
						rightMargin="5.72"/>
				</DiscretizeBin>
				<DiscretizeBin
					binValue="4">
					<Interval
						closure="openOpen"
						leftMargin="5.72"/>
				</DiscretizeBin>
			</Discretize>
		</DerivedField>
		<DerivedField
			name="petal_widthBins"
			displayName="petal_width"
			optype="continuous"
			dataType="double">
			<Discretize
				field="petal_width">
				<DiscretizeBin
					binValue="0">
					<Interval
						closure="openClosed"
						rightMargin="0.58"/>
				</DiscretizeBin>
				<DiscretizeBin
					binValue="1">
					<Interval
						closure="openClosed"
						leftMargin="0.58"
						rightMargin="1.06"/>
				</DiscretizeBin>
				<DiscretizeBin
					binValue="2">
					<Interval
						closure="openClosed"
						leftMargin="1.06"
						rightMargin="1.54"/>
				</DiscretizeBin>
				<DiscretizeBin
					binValue="3">
					<Interval
						closure="openClosed"
						leftMargin="1.54"
						rightMargin="2.02"/>
				</DiscretizeBin>
				<DiscretizeBin
					binValue="4">
					<Interval
						closure="openOpen"
						leftMargin="2.02"/>
				</DiscretizeBin>
			</Discretize>
		</DerivedField>
	</TransformationDictionary>
	<Extension
		extender="spss.com"
		name="SPSS Models">
		<BayesNetModel
			modelName="Naivni Bajes"
			functionName="classification">
			<LinkSource>
				<names>from; to; directed</names>
				<row>sepal_lengthBins; sepal_widthBins; yes</row>
				<row>sepal_lengthBins; petal_lengthBins; yes</row>
				<row>sepal_lengthBins; petal_widthBins; yes</row>
				<row>class; sepal_lengthBins; yes</row>
				<row>class; sepal_widthBins; yes</row>
				<row>class; petal_lengthBins; yes</row>
				<row>class; petal_widthBins; yes</row>
			</LinkSource>
			<ConditionalTables>
				<ConditionalTable
					fieldName="sepal_lengthBins"
					parentsNumber="1">
					<names>class; 0; 1; 2; 3; 4</names>
					<row
						totalN="36">Iris-setosa; 0.527777777777778; 0.472222222222222; 0; 0; 0</row>
					<row
						totalN="33">Iris-versicolor; 0.0606060606060606; 0.424242424242424; 0.363636363636364; 0.151515151515152; 0</row>
					<row
						totalN="34">Iris-virginica; 0.0294117647058824; 0.0588235294117647; 0.382352941176471; 0.323529411764706; 0.205882352941176</row>
				</ConditionalTable>
				<ConditionalTable
					fieldName="sepal_widthBins"
					parentsNumber="2">
					<names>sepal_lengthBins; class; 0; 1; 2; 3; 4</names>
					<row
						totalN="19">0; Iris-setosa; 0.0526315789473684; 0.0526315789473684; 0.684210526315789; 0.210526315789474; 0</row>
					<row
						totalN="2">0; Iris-versicolor; 1; 0; 0; 0; 0</row>
					<row
						totalN="1">0; Iris-virginica; 0; 1; 0; 0; 0</row>
					<row
						totalN="17">1; Iris-setosa; 0; 0; 0.294117647058824; 0.588235294117647; 0.117647058823529</row>
					<row
						totalN="14">1; Iris-versicolor; 0.214285714285714; 0.5; 0.285714285714286; 0; 0</row>
					<row
						totalN="2">1; Iris-virginica; 0; 1; 0; 0; 0</row>
					<row
						totalN="12">2; Iris-versicolor; 0.0833333333333333; 0.5; 0.416666666666667; 0; 0</row>
					<row
						totalN="13">2; Iris-virginica; 0.0769230769230769; 0.538461538461538; 0.384615384615385; 0; 0</row>
					<row
						totalN="5">3; Iris-versicolor; 0; 0.4; 0.6; 0; 0</row>
					<row
						totalN="11">3; Iris-virginica; 0; 0.0909090909090909; 0.909090909090909; 0; 0</row>
					<row
						totalN="7">4; Iris-virginica; 0; 0.428571428571429; 0.571428571428571; 0; 0</row>
				</ConditionalTable>
				<ConditionalTable
					fieldName="petal_lengthBins"
					parentsNumber="2">
					<names>sepal_lengthBins; class; 0; 1; 2; 3; 4</names>
					<row
						totalN="19">0; Iris-setosa; 1; 0; 0; 0; 0</row>
					<row
						totalN="2">0; Iris-versicolor; 0; 1; 0; 0; 0</row>
					<row
						totalN="1">0; Iris-virginica; 0; 0; 1; 0; 0</row>
					<row
						totalN="17">1; Iris-setosa; 1; 0; 0; 0; 0</row>
					<row
						totalN="14">1; Iris-versicolor; 0; 0.0714285714285714; 0.928571428571429; 0; 0</row>
					<row
						totalN="2">1; Iris-virginica; 0; 0; 0; 1; 0</row>
					<row
						totalN="12">2; Iris-versicolor; 0; 0; 0.416666666666667; 0.583333333333333; 0</row>
					<row
						totalN="13">2; Iris-virginica; 0; 0; 0; 0.923076923076923; 0.0769230769230769</row>
					<row
						totalN="5">3; Iris-versicolor; 0; 0; 0.2; 0.8; 0</row>
					<row
						totalN="11">3; Iris-virginica; 0; 0; 0; 0.636363636363636; 0.363636363636364</row>
					<row
						totalN="7">4; Iris-virginica; 0; 0; 0; 0; 1</row>
				</ConditionalTable>
				<ConditionalTable
					fieldName="petal_widthBins"
					parentsNumber="2">
					<names>sepal_lengthBins; class; 0; 1; 2; 3; 4</names>
					<row
						totalN="19">0; Iris-setosa; 0.947368421052632; 0.0526315789473684; 0; 0; 0</row>
					<row
						totalN="2">0; Iris-versicolor; 0; 1; 0; 0; 0</row>
					<row
						totalN="1">0; Iris-virginica; 0; 0; 0; 1; 0</row>
					<row
						totalN="17">1; Iris-setosa; 1; 0; 0; 0; 0</row>
					<row
						totalN="14">1; Iris-versicolor; 0; 0.142857142857143; 0.857142857142857; 0; 0</row>
					<row
						totalN="2">1; Iris-virginica; 0; 0; 0; 1; 0</row>
					<row
						totalN="12">2; Iris-versicolor; 0; 0.0833333333333333; 0.583333333333333; 0.333333333333333; 0</row>
					<row
						totalN="13">2; Iris-virginica; 0; 0; 0.230769230769231; 0.461538461538462; 0.307692307692308</row>
					<row
						totalN="5">3; Iris-versicolor; 0; 0; 1; 0; 0</row>
					<row
						totalN="11">3; Iris-virginica; 0; 0; 0; 0.272727272727273; 0.727272727272727</row>
					<row
						totalN="7">4; Iris-virginica; 0; 0; 0; 0.571428571428571; 0.428571428571429</row>
				</ConditionalTable>
				<ConditionalTable
					fieldName="class"
					parentsNumber="0">
					<names>; Iris-setosa; Iris-versicolor; Iris-virginica</names>
					<row
						totalN="103">0; 0.349514563106796; 0.320388349514563; 0.330097087378641</row>
				</ConditionalTable>
			</ConditionalTables>
			<MiningSchema>
				<MiningField
					name="sepal_length"
					usageType="active">
					<Extension
						extender="spss.com"
						name="Derived Field Reference">
						<DerivedFieldRef 
							name="sepal_lengthBins"/>
					</Extension>
				</MiningField>
				<MiningField
					name="sepal_width"
					usageType="active">
					<Extension
						extender="spss.com"
						name="Derived Field Reference">
						<DerivedFieldRef 
							name="sepal_widthBins"/>
					</Extension>
				</MiningField>
				<MiningField
					name="petal_length"
					usageType="active">
					<Extension
						extender="spss.com"
						name="Derived Field Reference">
						<DerivedFieldRef 
							name="petal_lengthBins"/>
					</Extension>
				</MiningField>
				<MiningField
					name="petal_width"
					usageType="active">
					<Extension
						extender="spss.com"
						name="Derived Field Reference">
						<DerivedFieldRef 
							name="petal_widthBins"/>
					</Extension>
				</MiningField>
				<MiningField
					name="class"
					usageType="predicted"/>
			</MiningSchema>
		</BayesNetModel>
	</Extension>
</PMML>